Bug 629979 - [abrt] openconnect-2.25-1.fc12: strrchr: Process /usr/libexec/nm-openconnect-auth-dialog was killed by signal 11 (SIGSEGV)
Summary: [abrt] openconnect-2.25-1.fc12: strrchr: Process /usr/libexec/nm-openconnect-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openconnect
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2072814e57694acf13de176e1ab...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-03 12:43 UTC by Clint
Modified: 2010-11-29 21:36 UTC (History)
1 user (show)

Fixed In Version: openconnect-2.26-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-29 21:31:40 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (31.03 KB, text/plain)
2010-09-03 12:43 UTC, Clint
no flags Details

Description Clint 2010-09-03 12:43:03 UTC
abrt version: 1.1.13
architecture: i686
Attached file: backtrace
cmdline: /usr/libexec/nm-openconnect-auth-dialog -u 960fe4bb-bbf2-41f9-8d00-d3b4dd38d94c -n 'IBM OpenConnect' -s org.freedesktop.NetworkManager.openconnect
comment: trying to start openconnect
component: openconnect
crash_function: strrchr
executable: /usr/libexec/nm-openconnect-auth-dialog
kernel: 2.6.32.21-166.fc12.i686
package: openconnect-2.25-1.fc12
rating: 4
reason: Process /usr/libexec/nm-openconnect-auth-dialog was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
time: 1283517439
uid: 500

Comment 1 Clint 2010-09-03 12:43:06 UTC
Created an attachment (id=442879)
File: backtrace

Comment 2 David Woodhouse 2010-09-03 16:48:44 UTC
Can you reproduce this with openconnect on the command line? It looks like you're getting a relative redirect from the HTTP server, although I don't get that same response.

It ought to be fixed by
http://git.infradead.org/users/dwmw2/openconnect.git/commitdiff/b26f8810

Comment 3 Clint 2010-09-03 19:45:59 UTC
Package: openconnect-2.25-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
trying to start openconnect

Comment 4 David Woodhouse 2010-09-08 10:21:18 UTC
Clint, are you able to rebuild with that patch or should I give you a new package to install?

Comment 5 Bug Zapper 2010-11-03 10:27:11 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Fedora Update System 2010-11-21 20:56:41 UTC
openconnect-2.26-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openconnect-2.26-3.fc14

Comment 7 Fedora Update System 2010-11-21 20:58:40 UTC
openconnect-2.26-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/openconnect-2.26-1.fc13

Comment 8 Fedora Update System 2010-11-21 21:12:42 UTC
openconnect-2.26-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openconnect-2.26-4.fc14

Comment 9 Fedora Update System 2010-11-21 21:13:38 UTC
openconnect-2.26-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/openconnect-2.26-2.fc13

Comment 10 Fedora Update System 2010-11-22 11:20:38 UTC
openconnect-2.26-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/openconnect-2.26-1.fc12

Comment 11 Fedora Update System 2010-11-22 22:12:08 UTC
openconnect-2.26-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openconnect'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/openconnect-2.26-1.fc12

Comment 12 Fedora Update System 2010-11-29 21:31:33 UTC
openconnect-2.26-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-11-29 21:34:44 UTC
openconnect-2.26-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-11-29 21:36:06 UTC
openconnect-2.26-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.